@charset "UTF-8";
/* Sizes
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* Speeds
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* Colors
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* Sizes
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* Speeds
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* Colors
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* Colors
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
* {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, Roboto, "Helvetica Neue", sans-serif;
}

/* General
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
body {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-size: 13px;
}

.btn, a {
  transition: all 0.2s;
}

hr {
  background: #e9e9e9;
  height: 1px;
  border: 0;
}

/* Login
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.login-page {
  justify-content: center;
  background: #eee url("/images/background.jpg") no-repeat center;
  background-size: cover;
  align-items: center;
  display: flex;
}
.login-page .form-group {
  padding: 10px 0;
}

.login-box {
  margin: 100px 0 40px 0;
  font-weight: 500;
  width: 500px;
}

/* Buttons
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.form-group .btn,
.btn {
  line-height: 36px;
  text-transform: uppercase;
  border-radius: 3px;
  font-weight: 500;
  height: 38px;
  transition: none;
  font-size: 12px;
  padding: 0 15px;
}
.form-group .btn.btn-sm,
.btn.btn-sm {
  line-height: 30px;
  height: 32px;
  padding: 0 10px;
}

.btn-primary {
  background: linear-gradient(to bottom, #81C6C5, #6fbebd);
  border: 1px solid #5eb6b5;
}
.btn-primary:hover, .btn-primary:active {
  background: linear-gradient(to bottom, #6fbebd, #5eb6b5);
  border-color: #4eacab;
  outline: none;
}
.btn-primary:focus {
  box-shadow: 0 0 5px #4eacab;
  border-color: #4eacab;
  outline: none;
}
.btn-primary:active:focus {
  box-shadow: 0 0 5px #4eacab, inset 0 3px 5px rgba(0, 0, 0, 0.125);
  border-color: #4eacab;
  background: #6fbebd;
  outline: 0;
}

.btn-danger {
  background: linear-gradient(to bottom, #dd4b39, #d73925);
  border: 1px solid #c23321;
}
.btn-danger:hover, .btn-danger:active {
  background: linear-gradient(to bottom, #d73925, #c23321);
  border-color: #ac2d1e;
  outline: none;
}
.btn-danger:focus {
  box-shadow: 0 0 5px #ac2d1e;
  border-color: #ac2d1e;
  outline: none;
}
.btn-danger:active:focus {
  box-shadow: 0 0 5px #ac2d1e, inset 0 3px 5px rgba(0, 0, 0, 0.125);
  border-color: #ac2d1e;
  background: #d73925;
  outline: 0;
}

.btn-warning {
  background: linear-gradient(to bottom, #f39c12, #e08e0b);
  border: 1px solid #c87f0a;
}
.btn-warning:hover, .btn-warning:active {
  background: linear-gradient(to bottom, #e08e0b, #c87f0a);
  border-color: #b06f09;
  outline: none;
}
.btn-warning:focus {
  box-shadow: 0 0 5px #b06f09;
  border-color: #b06f09;
  outline: none;
}
.btn-warning:active:focus {
  box-shadow: 0 0 5px #b06f09, inset 0 3px 5px rgba(0, 0, 0, 0.125);
  border-color: #b06f09;
  background: #e08e0b;
  outline: 0;
}

.btn-social svg {
  transition: background-color 0.2s;
  font-size: 14px;
  border: 0;
}

.btn-social.btn-primary {
  padding: 0 15px 0 53px;
}
.btn-social.btn-primary.btn-sm {
  padding: 0 10px 0 42px;
}
.btn-social.btn-primary.btn-sm .icon {
  line-height: 30px;
  width: 32px;
  font-size: 1.4rem;
}
.btn-social.btn-primary:hover .icon, .btn-social.btn-primary:active .icon {
  background: linear-gradient(to bottom, #57b3b2, #4ba5a4);
}
.btn-social.btn-primary:active:focus .icon {
  box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  background: #57b3b2;
}
.btn-social.btn-primary .icon {
  background: linear-gradient(to bottom, #68bbba, #57b3b2);
  line-height: 36px;
  width: 38px;
}
.btn-social.btn-danger {
  padding: 0 15px 0 53px;
}
.btn-social.btn-danger.btn-sm {
  padding: 0 10px 0 42px;
}
.btn-social.btn-danger.btn-sm .icon {
  line-height: 30px;
  width: 32px;
  font-size: 1.4rem;
}
.btn-social.btn-danger:hover .icon, .btn-social.btn-danger:active .icon {
  background: linear-gradient(to bottom, #b93120, #a32b1c);
}
.btn-social.btn-danger:active:focus .icon {
  box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  background: #b93120;
}
.btn-social.btn-danger .icon {
  background: linear-gradient(to bottom, #cf3624, #b93120);
  line-height: 36px;
  width: 38px;
}
.btn-social.btn-warning {
  padding: 0 15px 0 53px;
}
.btn-social.btn-warning.btn-sm {
  padding: 0 10px 0 42px;
}
.btn-social.btn-warning.btn-sm .icon {
  line-height: 30px;
  width: 32px;
  font-size: 1.4rem;
}
.btn-social.btn-warning:hover .icon, .btn-social.btn-warning:active .icon {
  background: linear-gradient(to bottom, #be780a, #a66908);
}
.btn-social.btn-warning:active:focus .icon {
  box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  background: #be780a;
}
.btn-social.btn-warning .icon {
  background: linear-gradient(to bottom, #d6880b, #be780a);
  line-height: 36px;
  width: 38px;
}

/* Small tweaks
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.heading {
  margin-bottom: 15px;
  font-weight: 300;
}

/* Forms
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
input[type=password] {
  letter-spacing: 5px;
}
input[type=password]:-moz-placeholder-shown {
  letter-spacing: 0;
}
input[type=password]:placeholder-shown {
  letter-spacing: 0;
}

input[type=number] {
  -moz-appearance: textfield;
  width: 200px;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.date-range,
input[type=date] {
  width: 200px;
}

label.required::after {
  margin-left: 3px;
  font-size: 15px;
  line-height: 1;
  content: "*";
  color: #dd4b39;
}

.form-control.datetime {
  max-width: 240px;
}
.form-control.date {
  max-width: 190px;
}
.form-control.time {
  max-width: 130px;
}
.form-control.num {
  max-width: 100px;
}

.input-group.date {
  max-width: 200px;
}

.form-control--color {
  width: 38px;
  cursor: pointer;
  padding: 0;
  border: 0;
}

.input__info {
  font-size: 13px;
  color: #797979;
}

.form-group {
  margin-bottom: 10px;
}
.form-group label {
  margin: 0 0 3px 0;
  font-weight: 500;
  font-size: 14px;
  display: block;
}
.form-group select {
  border: 1px solid #e3e5e8;
  background-color: #fff;
}
.form-group .form-control {
  box-shadow: 0 0 5px rgba(51, 170, 255, 0);
  transition: box-shadow linear 0.2s;
  border: 1px solid #e3e5e8;
  background-color: #fff;
  line-height: 38px;
  border-radius: 3px;
  height: 38px;
  font-size: 14px;
  padding: 0 10px;
  color: #333;
}
.form-group .form-control:focus, .form-group .form-control:active {
  box-shadow: 0 0 5px #80caff;
  border-color: #7dafe8;
  outline: none;
}
.form-group .form-control[disabled], .form-group .form-control[readonly] {
  background-color: #fcfcfc;
}
.form-group textarea.form-control {
  padding: 10px 15px;
  line-height: 1.3;
  height: 200px;
}
.form-group.has-error .select2-container--default .select2-selection--single {
  border-color: #dd4b39;
}
.form-group.has-error label {
  color: #333;
}
.form-group.has-error .checkbox label::before,
.form-group.has-error .radio label::before {
  border-color: #dd4b39;
}
.form-group.has-error .form-control {
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
  border-width: 2px;
}
.form-group.has-error .help-block {
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
  background-color: #dd4b39;
  padding: 2px 5px;
  color: #fff;
  margin-top: 0;
}

.form-footer {
  margin-top: 20px;
}

.checkbox input {
  display: none;
}
.checkbox + .checkbox {
  margin-top: 0;
}
.checkbox input:checked + label::before {
  background-color: #ed7b3d;
  border-color: #ed7b3d;
  color: #fff;
}
.checkbox input[disabled] + label {
  pointer-events: none;
  opacity: 0.5;
}
.checkbox label {
  vertical-align: middle;
  display: inline-block;
  line-height: 20px;
  cursor: pointer;
  width: auto;
  padding: 0;
}
.checkbox label::before {
  line-height: 18px;
  border: 1px solid #d3d8db;
  background-color: #fff;
  vertical-align: middle;
  display: inline-block;
  border-radius: 2px;
  text-align: center;
  margin-right: 5px;
  content: "✔";
  font-weight: 500;
  font-size: 14px;
  transition: 0.2s;
  height: 20px;
  color: #fff;
  width: 20px;
}

.checkboxes .checkbox label,
.checkboxes .radio label {
  font-weight: 400;
}

.radio input[type=radio] {
  display: none;
}
.radio input:checked + label::before {
  background-color: #ed7b3d;
  border-color: #ed7b3d;
}
.radio label {
  vertical-align: middle;
  display: inline-block;
  line-height: 20px;
  cursor: pointer;
  width: auto;
  padding: 0;
}
.radio label::before {
  line-height: 18px;
  border: 1px solid #d3d8db;
  background-color: #fff;
  vertical-align: middle;
  display: inline-block;
  border-radius: 100%;
  text-align: center;
  margin-right: 10px;
  font-weight: 500;
  font-size: 20px;
  transition: 0.2s;
  height: 20px;
  width: 20px;
  content: "";
}

/* Search
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.search-form.form-group {
  margin-bottom: 0;
  padding: 0;
}
.search-form .input-group {
  width: 100%;
}
.search-form .input-group-addon {
  border-color: #e3e5e8;
  position: relative;
  width: 38px;
  padding: 0;
}

.search-btn {
  position: absolute;
  background: none;
  height: 100%;
  width: 100%;
  padding: 0;
  border: 0;
  left: 0;
  top: 0;
}
.search-btn:active, .search-btn:focus {
  border: 1px solid #7dafe8;
  box-shadow: 0 0 5px #80caff;
  border-color: #7dafe8;
  outline: none;
  z-index: 90;
}

/* Tables
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.table .snug {
  white-space: nowrap;
  width: 1px;
}
.table .c {
  text-align: center;
}
.table .r {
  text-align: right;
}
.table > thead > tr > th {
  vertical-align: middle;
  padding: 6px 4px;
}
.table > tbody > tr > td, .table > tfoot > tr > td {
  vertical-align: middle;
  padding: 2px 5px;
}
.table .truncate {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  max-width: 250px;
}
.table .deleted {
  text-decoration: line-through;
}
.table .fa-arrow-up {
  color: #00a65a;
}
.table .fa-arrow-down {
  color: #dd4b39;
}
.table .checkbox {
  margin: 0;
}
.table .form-control {
  padding: 0 5px;
  font-size: 12px;
}
.table .num {
  width: 80px;
}

.code {
  font-family: Menlo, Monaco, Consolas, "Courier New", monospace;
  font-size: 13px;
}

/* Table sorters
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.sorter {
  padding-left: 13px;
  position: relative;
  display: block;
}
.sorter::after {
  content: "⮃";
  padding-right: 5px;
  position: absolute;
  left: 0;
  top: 50%;
  color: #ddd;
  line-height: 1;
  margin-top: -7px;
  z-index: 10;
}
.sorter.sorted-asc::after {
  content: "⭡";
  color: #333;
}
.sorter.sorted-desc::after {
  content: "⭣";
  color: #333;
}

/* Toolbox buttons
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.toolbox-buttons {
  margin: -3px -3px 7px -3px;
  flex-wrap: wrap;
  display: flex;
}
.toolbox-buttons > * {
  margin: 3px;
}

/* Action button
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.action-buttons{
  margin-left: -1px;
  margin-right: -1px;
  display: flex;
  justify-content: center;
}
.action-buttons .btn{
  margin-left: 1px;
  margin-right: 1px;
  padding: 0px;
  border: 1px solid #dadada;
  width: 38px;
  font-size: 14px;
}
.action-buttons .btn:hover .fa, .action-buttons .btn:active .fa {
  opacity: 1;
}
.action-buttons .fa {
  opacity: 0.9;
}
.action-buttons form {
  display: inline-block;
}
.action-buttons .btn-empty {
  pointer-events: none;
  visibility: hidden;
}

/* Dashboard
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.progress {
  margin-bottom: 2px;
}

.dashboard-boxes {
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  grid-gap: 20px;
  display: grid;
}

.dashboard-count-stats-box {
  max-width: 300px;
  min-width: 200px;
  display: flex;
  min-height: 0;
  margin: 0;
}
.dashboard-count-stats-box > * {
  display: block;
}
.dashboard-count-stats-box .info-box-content {
  margin-left: 0;
}
.dashboard-count-stats-box .info-box-icon {
  font-size: 28px;
  line-height: 56px;
  height: 56px;
  width: 56px;
}

.info-box a {
  color: #fff;
}

/* Profile
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.box-profile .btn-block {
  margin-bottom: 5px;
}

/* Images
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
img {
  max-width: 100%;
  height: auto;
}

/* Filters
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.filters {
  padding-bottom: 5px;
  padding-top: 5px;
}
.filters .btn {
  margin: 2px 0;
}

/* File inputs
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.file-input-container {
  display: flex;
}
.file-input-container .form-control {
  line-height: 36px;
}
.file-input-container.has-file .file-input-label {
  display: none;
}
.file-input-container.has-file .file-input-file {
  display: block;
}
.file-input-container.has-preview + .file-input-preview {
  display: inline-block;
}
.file-input-container .file-input-label {
  border-bottom-right-radius: 0;
  border-top-right-radius: 0;
  font-weight: normal;
  overflow: hidden;
  cursor: pointer;
  margin: 0;
}
.file-input-container .btn {
  border-bottom-left-radius: 0;
  border-top-left-radius: 0;
  line-height: 38px;
  align-items: center;
  height: 38px;
  border-left: 0;
  display: flex;
  margin: 0;
}
.file-input-container .file-input-file {
  border-bottom-right-radius: 0;
  border-top-right-radius: 0;
  text-overflow: ellipsis;
  white-space: nowrap;
  position: relative;
  display: none;
}
.file-input-container .file-input-file button {
  border: 1px solid transparent;
  line-height: 36px;
  position: absolute;
  text-align: center;
  font-style: normal;
  width: 38px;
  background: none;
  font-size: 20px;
  height: 100%;
  color: #000;
  padding: 0;
  bottom: 0;
  right: 0;
  top: 0;
}
.file-input-container .file-input-file button:active, .file-input-container .file-input-file button:focus {
  border: 1px solid #7dafe8;
  box-shadow: 0 0 5px #80caff;
  border-color: #7dafe8;
  outline: none;
  z-index: 90;
}
.file-input-container.size-md .form-control {
  line-height: 36px;
  height: 38px;
}
.file-input-container.size-md .btn {
  line-height: 38px;
  height: 38px;
}
.file-input-container.size-md .file-input-file button {
  line-height: 36px;
  width: 38px;
}

.file-input-preview {
  margin-top: 20px;
  max-height: 250px;
  max-width: 250px;
  display: none;
  height: auto;
  width: auto;
}

.file-input {
  border-bottom-right-radius: 0;
  border-top-right-radius: 0;
  display: inline-block;
  vertical-align: top;
  position: relative;
  border-right: 0;
  flex: 1;
}

.file-input-input {
  position: absolute;
  height: 1px;
  width: 1px;
  opacity: 0;
  left: 0;
  top: 0;
}

/* Custom selects
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.select2-container--default .select2-selection--single {
  box-shadow: 0 0 5px rgba(51, 170, 255, 0);
  transition: box-shadow linear 0.2s;
  border: 1px solid #e3e5e8;
  background-color: #fff;
  line-height: 38px;
  border-radius: 3px;
  height: 38px;
  font-size: 14px;
  padding: 0 10px;
  color: #333;
}
.select2-container--default .select2-selection--single:focus, .select2-container--default .select2-selection--single:active {
  box-shadow: 0 0 5px #80caff;
  border-color: #7dafe8;
  outline: none;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 38px;
  width: 35px;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: inherit;
}
.select2-container--default.select2-container--open {
  z-index: 99999999;
}
.select2-container--default.select2-container--open .select2-selection--single {
  box-shadow: 0 0 5px #80caff;
  border-color: #7dafe8;
  outline: none;
}
.select2-container--default .select2-selection--multiple {
  border: 1px solid #e3e5e8;
  min-height: 38px;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
  background-color: #f1f1f1;
  border: 1px solid #e9e9e9;
  padding: 4px 10px;
  margin-right: 4px;
  margin-top: 4px;
  color: #444;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
  margin-left: -5px;
  padding: 0 5px;
}
.select2-container--default .select2-selection--multiple .select2-search__field {
  height: 28px;
}
.select2-container--default .select2-selection--multiple .select2-selection__clear {
  margin: 8px 8px 0 0;
}

.select2-container .select2-selection--single .select2-selection__rendered {
  margin-top: -1px;
  padding-left: 0;
}

.select2-results__option {
  min-height: 32px;
}

.select2-result-title {
  font-weight: 500;
}

.select2-result-subtitle {
  color: #797979;
}

.select2-result-meta {
  font-size: 12px;
  color: #797979;
}
.select2-result-meta .item {
  display: inline-block;
  margin-right: 5px;
}
.select2-result-meta .fa {
  margin-right: 3px;
}

.select2-results__option--highlighted .select2-result-subtitle,
.select2-results__option--highlighted .select2-result-meta {
  color: #fff;
}

/* Ajax loader
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.ajax-loader {
  transition: opacity 0.2s ease-in-out;
  opacity: 0;
}
.ajax-loader.active {
  opacity: 1;
}

/* Filter form
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.form--filter .form-group {
  align-items: center;
  margin-bottom: 10px;
  display: flex;
  padding: 0;
}
.form--filter .select2-container--default .select2-selection--single {
  line-height: 35px;
  font-size: 15px;
  height: 35px;
}
.form--filter .select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 35px;
}
.form--filter .form-control,
.form--filter .select2 {
  line-height: 35px;
  font-size: 15px;
  height: 35px;
  padding: 0 10px;
  margin: 0;
  width: 200px;
}
.form--filter .select2 {
  padding: 0;
}
.form--filter label {
  margin: 0 10px 0 0;
  text-align: right;
  width: 250px;
  padding: 0;
}
.form--filter .help-block {
  margin: 0 0 0 5px;
}

.filter-range {
  align-items: center;
  display: flex;
}
.filter-range .form-group {
  margin-bottom: 0;
}

/* Tabs
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.tab-pane > div > .box, .tab-pane > .box {
  box-shadow: none;
  padding: 0;
  border: 0;
  margin: 0;
}
.tab-pane > div > .box > .box-body, .tab-pane > .box > .box-body {
  padding: 0;
}
.tab-pane > div > .box > .box-footer, .tab-pane > .box > .box-footer {
  padding: 10px 0 0 0;
}

/* Tooltips
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.tippy-content{
  font-size: 1.125rem;
  line-height: 1.75rem;
}

/* Togglables
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.collapsable.collapsed .box-body {
  display: none;
}
.collapsable.collapsed [data-toggle-class] .fa-chevron-down,
.collapsable.collapsed [data-toggle-class] .fa-plus {
  display: inline;
}
.collapsable.collapsed [data-toggle-class] .fa-chevron-up,
.collapsable.collapsed [data-toggle-class] .fa-minus {
  display: none;
}
.collapsable [data-toggle-class] .fa-chevron-down,
.collapsable [data-toggle-class] .fa-plus {
  display: none;
}

.box-header {
  padding: 5px 10px;
}
.box-header > .box-tools {
  margin-right: -10px;
}
.box-header .btn-box-tool {
  padding: 0 10px;
}
.box-header .box-title {
  font-weight: 500;
  font-size: 14px;
}

/* Custom header
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.custom-header{
  position: relative;
  display: flex;
  height: 5rem;
  align-items: center;
  background-color: #333;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
  z-index: 1030;
  color: #fff;
}
.custom-header a {
  color: inherit;
}

.custom-header__logo{
  width: 24rem;
}
.custom-header__logo .logo-sm {
  display: none;
}

.custom-header__logo-link {
  justify-content: center;
  align-items: center;
  display: flex;
  height: 100%;
  width: 100%;
}

.sidebar--collapsed .custom-header__logo {
  width: 50px;
}
.sidebar--collapsed .custom-header__logo .logo-lg {
  display: none;
}
.sidebar--collapsed .custom-header__logo .logo-sm {
  display: block;
}

.custom-header__item {
  border-left: 1px solid #444;
  justify-content: center;
  align-items: center;
  min-width: 50px;
  display: flex;
  height: 100%;
}
.custom-header__item:first-child {
  border-left: 0;
}

.custom-header__button {
  justify-content: center;
  align-items: center;
  background: none;
  padding: 0 15px;
  display: flex;
  height: 100%;
  width: 100%;
  border: 0;
}
.custom-header__button svg{
  font-size: 1.875rem;
  line-height: 2.25rem;
}

/* Tags
------------------------------------------------ */
.tag {
  border-radius: 10px;
  transition: all 0.1s;
  margin-right: 5px;
  line-height: 20px;
  background: #eee;
  cursor: default;
  display: block;
  padding: 1px;
  color: #333;
}
.tag:hover {
  color: #333;
}

a.tag {
  cursor: pointer;
}

.compact .tag-button, .tag-button{
  margin-right: 0.75rem;
  display: flex;
  cursor: default;
  align-items: center;
  white-space: nowrap;
  border-radius: 9999px;
  --tw-bg-opacity: 1;
  background-color: rgba(238, 238, 238, var(--tw-bg-opacity));
  padding: 1px;
  line-height: 1;
  --tw-text-opacity: 1;
  color: rgba(33, 33, 33, var(--tw-text-opacity));
}
.compact .tag-button:hover, .compact .tag-button:active, .tag-button:hover, .tag-button:active{
  --tw-bg-opacity: 1;
  background-color: rgba(224, 224, 224, var(--tw-bg-opacity));
  --tw-text-opacity: 1;
  color: rgba(0, 0, 0, var(--tw-text-opacity));
}
.compact .tag-button .tag-button__btn, .tag-button .tag-button__btn{
  display: flex;
  height: 2.5rem;
  width: 2.5rem;
  cursor: pointer;
  align-items: center;
  justify-content: center;
  border-radius: 9999px;
  border-style: none;
  --tw-bg-opacity: 1;
  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));
  line-height: 1;
  --tw-text-opacity: 1;
  color: rgba(0, 0, 0, var(--tw-text-opacity));
}

.compact a.tag-button, a.tag-button{
  cursor: pointer;
}

a.tag:hover, a.tag:active {
  background: #ddd;
}

.compact .tag-buttons{
  display: flex;
  align-items: center;
}
.compact .tag-buttons .tag-button{
  margin-right: 1px;
  border-radius: 0.25rem;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgba(224, 224, 224, var(--tw-border-opacity));
  --tw-bg-opacity: 1;
  background-color: rgba(245, 245, 245, var(--tw-bg-opacity));
  padding: 0px;
}
.compact .tag-buttons .tag-button:hover, .compact .tag-buttons .tag-button:active{
  --tw-bg-opacity: 1;
  background-color: rgba(238, 238, 238, var(--tw-bg-opacity));
}
.compact .tag-buttons .tag-button:first-child{
  margin-right: 0.25rem;
}
.compact .tag-buttons a.tag-button:focus{
  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
}
.compact .tag-buttons .tag-button__btn{
  border-radius: 0px;
  --tw-text-opacity: 1;
  color: rgba(66, 66, 66, var(--tw-text-opacity));
}
.compact .tag-buttons .tag-button__btn:focus{
  outline: 2px solid transparent;
  outline-offset: 2px;
  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
}

/* Compact inputs
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.compact .form-group .btn,
.compact button,
.compact .btn {
  line-height: 30px;
  height: 32px;
}
.compact .form-group .form-control {
  line-height: 32px;
  height: 32px;
}
.compact .form-control--color {
  width: 32px;
}
.compact .action-buttons .btn {
  width: 32px;
}
.compact .file-input-container .form-control {
  line-height: 30px;
}
.compact .select2-container--default .select2-selection--single {
  line-height: 32px;
  height: 32px;
}
.compact .select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 32px;
}
.compact .select2-container--default .select2-selection--multiple {
  min-height: 32px;
}

/* Sidemenu
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.sidebar{
  width: 24rem;
  background-color: #f9fafc;
}

.sidemenu a {
  border-left: 3px solid transparent;
  display: flex;
  height: 3.5rem;
  align-items: center;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  padding-left: 0.75rem;
  padding-right: 0.75rem;
  color: #444;
}
.sidemenu a.active, .sidemenu a:active, .sidemenu a:hover {
  background-color: #eee;
  color: #444;
}
.sidemenu a span:nth-child(1){
  display: flex;
  height: 2.5rem;
  width: 2.5rem;
  align-items: center;
  justify-content: center;
}
.sidemenu a span:nth-child(1) svg{
  height: 2.5rem;
  width: 2.5rem;
}
.sidemenu a span:nth-child(2) {
  flex: 1;
}
.sidemenu a span:nth-child(3){
  display: flex;
  height: 2.5rem;
  width: 2.5rem;
  align-items: center;
  justify-content: center;
}
.sidemenu a span:nth-child(3) svg {
  transition: 0.2s all;
}
.sidemenu .sidemenu__submenu {
  transition: 0.2s max-height;
  overflow: hidden;
  max-height: 0;
  height: auto;
}
.sidemenu .active {
  border-left-color: #444;
}
.sidemenu .active .fa-angle-left {
  transform: rotate(-90deg);
}
.sidemenu .active + .sidemenu__submenu {
  transition: 0.2s max-height;
  max-height: 600px;
}

.sidemenu__submenu a {
  padding-left: 15px;
}
.sidemenu__submenu a.active, .sidemenu__submenu a:active, .sidemenu__submenu a:hover {
  border-left-color: #999;
  color: #444;
}

.sidebar--collapsed .sidebar{
  width: 5rem;
}
.sidebar--collapsed .sidemenu a{
  justify-content: center;
  padding: 0px;
}
.sidebar--collapsed .sidemenu a[href="#"],
.sidebar--collapsed .sidemenu a span:nth-child(2),
.sidebar--collapsed .sidemenu a span:nth-child(3) {
  display: none;
}
.sidebar--collapsed .sidemenu__submenu {
  max-height: none;
}

/* Responsiveness
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
@media (max-width: 767px) {
  .sidebar--collapsed .sidebar{
    width: 4rem;
  }
  .custom-header__logo {
    display: none;
  }
  .nav-tabs__title {
    display: none;
  }
  .custom-header {
    height: 40px;
  }
  .custom-header__item {
    min-width: 4rem;
  }
  .custom-header__button {
    padding: 0 10px;
  }
}
/* Date range input
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.daterangepicker .drp-buttons .btn.btn-sm {
  line-height: 1;
  height: auto;
}

/* Compact grid
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.compact-rows .row {
  margin-left: -0.5rem;
  margin-right: -0.5rem;
}
.compact-rows .row [class^=col-sm-], .compact-rows .row [class*=" col-sm-"],
.compact-rows .row [class^=col-md-], .compact-rows .row [class*=" col-md-"],
.compact-rows .row [class^=col-lg-], .compact-rows .row [class*=" col-lg-"] {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}

/* Status colors
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.bg-status-new {
  background-color: #F94144;
}

.bg-status-to-laundry {
  background-color: #F9844A;
}

.bg-status-laundry {
  background-color: #8655b8;
}

.bg-status-laundry-done {
  background-color: #4D908E;
}

.bg-status-from-laundry {
  background-color: #F9C74F;
}

.bg-status-locker-home {
  background-color: #F9C74F;
}

.bg-status-done {
  background-color: #43AA8B;
}

/* Custom utilities
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.disabled {
  pointer-events: none;
  opacity: 0.5;
}

.x-hidden {
  display: none;
}

.pointer-events-none{
  pointer-events: none;
}

.static{
  position: static;
}

.m-0{
  margin: 0px;
}

.mx-3{
  margin-left: 0.75rem;
  margin-right: 0.75rem;
}

.my-2{
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
}

.mb-5{
  margin-bottom: 1.25rem;
}

.ml-auto{
  margin-left: auto;
}

.ml-3{
  margin-left: 0.75rem;
}

.mb-4{
  margin-bottom: 1rem;
}

.ml-8{
  margin-left: 2rem;
}

.mb-8{
  margin-bottom: 2rem;
}

.-mt-5{
  margin-top: -1.25rem;
}

.mb-0{
  margin-bottom: 0px;
}

.mr-3{
  margin-right: 0.75rem;
}

.mr-1{
  margin-right: 0.25rem;
}

.ml-5{
  margin-left: 1.25rem;
}

.mt-0{
  margin-top: 0px;
}

.block{
  display: block;
}

.flex{
  display: flex;
}

.table{
  display: table;
}

.grid{
  display: grid;
}

.contents{
  display: contents;
}

.hidden{
  display: none;
}

.h-12{
  height: 3rem;
}

.min-h-screen{
  min-height: 100vh;
}

.w-40{
  width: 10rem;
}

.w-12{
  width: 3rem;
}

.min-w-0{
  min-width: 0px;
}

.flex-1{
  flex: 1 1 0%;
}

.flex-shrink-0{
  flex-shrink: 0;
}

.cursor-pointer{
  cursor: pointer;
}

.grid-cols-2{
  grid-template-columns: repeat(2, minmax(0, 1fr));
}

.flex-col{
  flex-direction: column;
}

.items-center{
  align-items: center;
}

.gap-3{
  gap: 0.75rem;
}

.justify-self-start{
  justify-self: start;
}

.overflow-auto{
  overflow: auto;
}

.overflow-hidden{
  overflow: hidden;
}

.rounded{
  border-radius: 0.25rem;
}

.rounded-full{
  border-radius: 9999px;
}

.border{
  border-width: 1px;
}

.border-l-0{
  border-left-width: 0px;
}

.border-none{
  border-style: none;
}

.bg-green-100{
  --tw-bg-opacity: 1;
  background-color: rgba(209, 250, 229, var(--tw-bg-opacity));
}

.bg-gray-100{
  --tw-bg-opacity: 1;
  background-color: rgba(245, 245, 245, var(--tw-bg-opacity));
}

.bg-black{
  --tw-bg-opacity: 1;
  background-color: rgba(0, 0, 0, var(--tw-bg-opacity));
}

.bg-gray-200{
  --tw-bg-opacity: 1;
  background-color: rgba(238, 238, 238, var(--tw-bg-opacity));
}

.bg-white{
  --tw-bg-opacity: 1;
  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));
}

.bg-gray-600{
  --tw-bg-opacity: 1;
  background-color: rgba(117, 117, 117, var(--tw-bg-opacity));
}

.bg-green-600{
  --tw-bg-opacity: 1;
  background-color: rgba(5, 150, 105, var(--tw-bg-opacity));
}

.bg-none{
  background-image: none;
}

.p-3{
  padding: 0.75rem;
}

.p-0{
  padding: 0px;
}

.p-5{
  padding: 1.25rem;
}

.px-3{
  padding-left: 0.75rem;
  padding-right: 0.75rem;
}

.py-2{
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.px-5{
  padding-left: 1.25rem;
  padding-right: 1.25rem;
}

.py-3{
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
}

.px-0{
  padding-left: 0px;
  padding-right: 0px;
}

.pt-0{
  padding-top: 0px;
}

.pl-3{
  padding-left: 0.75rem;
}

.align-top{
  vertical-align: top;
}

.text-xl{
  font-size: 1.25rem;
  line-height: 1.75rem;
}

.text-3xl{
  font-size: 1.875rem;
  line-height: 2.25rem;
}

.font-semibold{
  font-weight: 600;
}

.uppercase{
  text-transform: uppercase;
}

.leading-snug{
  line-height: 1.375;
}

.text-green-900{
  --tw-text-opacity: 1;
  color: rgba(6, 78, 59, var(--tw-text-opacity));
}

.text-white{
  --tw-text-opacity: 1;
  color: rgba(255, 255, 255, var(--tw-text-opacity));
}

.text-green-600{
  --tw-text-opacity: 1;
  color: rgba(5, 150, 105, var(--tw-text-opacity));
}

.text-red-600{
  --tw-text-opacity: 1;
  color: rgba(220, 38, 38, var(--tw-text-opacity));
}

.text-gray-700{
  --tw-text-opacity: 1;
  color: rgba(97, 97, 97, var(--tw-text-opacity));
}

.opacity-50{
  opacity: 0.5;
}

.shadow-lg{
  --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}

.filter{
  filter: var(--tw-filter);
}

@media (min-width: 640px){
  .sm\:my-0{
    margin-top: 0px;
    margin-bottom: 0px;
  }
  .sm\:block{
    display: block;
  }
  .sm\:flex{
    display: flex;
  }
  .sm\:grid-cols-3{
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }
  .sm\:flex-row{
    flex-direction: row;
  }
  .sm\:px-8{
    padding-left: 2rem;
    padding-right: 2rem;
  }
}

@media (min-width: 768px){
  .md\:grid-cols-4{
    grid-template-columns: repeat(4, minmax(0, 1fr));
  }
}

@media (min-width: 1024px){
  .lg\:grid-cols-6{
    grid-template-columns: repeat(6, minmax(0, 1fr));
  }
}
